Bug 167346 - MGE ellipse premium 1200 ups no longer detected with 2.6.12-1.1447_FC4
MGE ellipse premium 1200 ups no longer detected with 2.6.12-1.1447_FC4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 16:09 EDT by Kapoios Kanenas
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 19:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kapoios Kanenas 2005-09-01 16:09:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; el-GR; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I have a MGE ellipse premium 1200 UPS and connect to it with nut-2.0.1-1 and newhidups. This used to work with kernel kernel-2.6.12-1.1398_FC4.

After upgrading to kernel kernel-2.6.12-1.1447_FC4, the ups doesn't show 
even with lsusb.

In dmesg i get messages like :

usb 2-3: new low speed USB device using ohci_hcd and address 7
usb 2-3: new low speed USB device using ohci_hcd and address 8
usb 2-3: device descriptor read/64, error -110
usb 2-3: device descriptor read/64, error -32
usb 2-3: new low speed USB device using ohci_hcd and address 9
usb 2-3: device descriptor read/64, error -110
usb 2-3: device descriptor read/64, error -32
usb 2-3: new low speed USB device using ohci_hcd and address 10
usb 2-3: device descriptor read/8, error -110
usb 2-3: device descriptor read/8, error -110
usb 2-3: new low speed USB device using ohci_hcd and address 11
usb 2-3: device descriptor read/8, error -110
usb 2-3: device descriptor read/8, error -110


Nothing in /sys/bus/usb/devices too :

ls  /sys/bus/usb/devices/
1-0:1.0  1-2  1-2:1.0  2-0:1.0  2-1  2-1:1.0  usb1  usb2


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1. Plug MGE ups elipse premium 1200


Actual Results:  UPS was not detected as a usb device. Only some error messages. 


Expected Results:  UPS should be detected as device : 0463:ffff

Additional info:
Comment 1 Dave Jones 2005-09-30 02:12:13 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 2 Kapoios Kanenas 2005-09-30 13:35:32 EDT
Tested with 2.6.13-1.1526_FC4.
It works! Thanks!
$ lsusb
Bus 002 Device 003: ID 0463:ffff MGE UPS Systems UPS <<<
Bus 002 Device 002: ID 046d:c01d Logitech, Inc.
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 003: ID 0409:0058 NEC Corp. HighSpeed Hub
Bus 001 Device 001: ID 0000:0000

Note You need to log in before you can comment on or make changes to this bug.